Send email to supplier
Send RMA order request to supplier by email
Required permissions: RMA_ORDER
post/tenants/{tenantUid}/rma-orders/{rmaOrderUid}/email
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+rmaOrderUidstringRequiredPattern:
Reference to a rmaOrderUid
^[A-Za-z0-9-_]+Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault:
trueResponses
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
201
Created
400
Bad Request
post/tenants/{tenantUid}/rma-orders/{rmaOrderUid}/email
POST /v2/tenants/{tenantUid}/rma-orders/{rmaOrderUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146
{
"recepients": [
"text"
],
"subject": "text",
"body": "text",
"includePDF": true,
"attachments": [
{
"content": "text",
"contentType": "text",
"filename": "text"
}
]
}{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

